> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/43.-consulta-obtener-parcelas.md).

# 43. Consulta: obtener "Parcelas"

Consulta para obtener los "Campos" de usuario con filtros por `etiquetas`, `farmUuid`, `fieldUuid`, `nombreDelCampo`. Los campos devueltos en orden alfabético por nombre de campo.&#x20;

El filtro de campo funciona como condición AND, p. ej. es posible filtrar por `farmUuid` y por `fieldUuid` y por `etiquetas` y por `nombreDelCampo` en una sola consulta o usar solo una condición de filtro o no usar ninguna condición.&#x20;

Filtrar por `nombreDelCampo` funciona como `comienza_con`.&#x20;

Para implementar la lógica de paginación, use el parámetro de consulta `tamañoDePágina`. Hay `últimaClaveEvaluada` y `conteoTotal` en la respuesta, donde `últimaClaveEvaluada` se refiere al último registro procesado que coincide con la condición de filtro y `conteoTotal` es el número total de registros que coinciden con las condiciones de filtrado.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
consulta FiltrarCampos {
  obtenerCampos(
    filtro: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      etiquetas: [{ nombre: "nombre1", valor: "valor1" }]
      tamañoDePágina: 2
      últimaClaveEvaluada: {
        ClaveOrdenación: "<alguna_clave>"
        ClavePartición: "<alguna_clave>"
        CadenaEtiqueta: "<alguna_clave>"
      }
      nombreDelCampo: "Ejemplo"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      name
      labels {
        name
        value
      }
      conteoTotal
    }
    últimaClaveEvaluada {
      ClaveOrdenación
      ClavePartición
      CadenaEtiqueta
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/43.-consulta-obtener-parcelas.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
